RM(1)

NAVN
rm - remove files or directories

OVERSIKT
rm [VALG]... [FIL]...

BESKRIVELSE
This manual page documents the GNU version of rm. rm removes each specified file. By default, it does not remove directories.

If the -I or --interactive=once option is given, and there are more than three files or the -r, -R, or --recursive are given, then rm prompts the user for whether to proceed with the entire operation. If the response is not affirmative, the entire command is aborted.

Otherwise, if a file is unwritable, standard input is a terminal, and the -f or --force option is not given, or the -i or --interactive=always option is given, rm prompts the user for whether to remove the file. If the response is not affirmative, the file is skipped.

VALG

Remove (unlink) the FILE(s).

-f, --force
    Ignorer filer og argumenter som ikke eksisterer, og ikke spør om noe).

-i  Be om bekreftelse før fil(er) fjernes.

-I  Spør én gang før fjerning av flere enn tre filer og/eller eller ved rekursiv fjerning. Dette er mindre irriterende enn -i, og beskytter fremdeles mot de fleste uhell.

--interactive[=NÅR]
    Spør om bekreftelse ihht. NÅR: «never» (aldri), «once» (tilsvarer -I) eller «always» (tilsvarer -i). Uten angitt NÅR, spør programmet alltid.

--one-file-system
    Hopp over mapper som finnes på andre filsystemer enn selve kommandoargumentet.

--no-preserve-root
    Ikke gi «/» spesialbehandling.

--preserve-root[=all]
    do not remove '/' (default); with 'all', reject any command line argument on a separate device from its parent

-r, -R, --recursive
    Fjern mappe(r) og mappeinnhold rekursivt.

-d, --dir
    Fjern tom(me) mappe(r).

-v, --verbose
    Forklar hva som blir gjort.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

rm fjerner ikke mapper som standard. Bruk valget --recursive (-r eller -R) for å fjerne både fil(er) og mappe(r), inkludert mappeinnhold.

Any attempt to remove a file whose last file name component is '.' or '..' is rejected with a diagnostic.

Bruk én av følgende kommandoer for å fjerne filer med navn som starter på «-» (f.eks. «-foo»):

    rm -- -foo

    rm ./-foo

If you use rm to remove a file, it might be possible to recover some of its contents, given sufficient expertise and/or time. For greater assurance that the contents are unrecoverable, consider using shred(1).

FORFATTER
Skrevet av Paul Rubin, David MacKenzie, Richard M. Stallman og Jim Meyering.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
unlink(1), unlink(2), chattr(1), shred(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/rm>
eller lokalt: info '(coreutils) rm invocation'

Pakket av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.